h35916
s 00035/00000/00000
d D 1.1 82/08/03 08:48:26 cecily 1 0
e
u
U
t
T
I 1
lseek	title	unix c svc library -- lseek

.seek	equ	19

	entry	lseek
r0	equ	0
rf	equ	15
sp	equ	7
*
	impur
lseeksvc	equ	*
	svc	0,.seek
offset	dc	a(*-*)
ptrnam	dc	a(*-*)
*
	pure
lseek	equ	*
	l	r0,adc(sp)	offset (long)
	st	r0,offset
	l	r0,2*adc(sp)	ptrnam
	st	r0,ptrnam
	l	r0,0(sp)	file descriptor
	svc	0,0
	dc	a(lseeksvc)
	bc	error
	br	rf
error	equ	*
	st	r0,errno
	lcs	r0,1		error return
	br	rf

errno	comn
	das	1
	ends
	end
E 1
